#{extends 'border.html'/}
<div class="container-fluid">
    <!-- Toolbar -->
    <div class="row">
        <input type="hidden" name="penyedia_id" value="${pid}">
        #{if !aktifUser.isProvider() && !aktifUser.isDistributor()}
        <div class="col-md-12">
            <div class="toolbar">
                <a href="@{create(pid)}" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'} &{'distributor.label'}</a>
            </div>
        </div>
        #{/if}
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body" style="overflow-x: auto">
                    #{alert /}
                    <!-- Data Table -->
                    <table class="table table-condensed" id="tblDistributor">
                        <thead>
                        <tr>
                            <th class="header-left">&{'nomor.label'}</th>
                            <th class="header-left">&{'nama_distributor.label'}</th>
                            <th class="header-left">&{'nomor_telp.label'}</th>
                            <th class="header-left">&{'email.label'}</th>
                            <th class="header-left">&{'situs_web.label'}</th>
                            <th class="header-left">&{'status.label'}</th>
                            <th>&{'aksi.label'}</th>
                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
        $("#tblDistributor").dataTable({
            ajax : {
                url : "@{DataTableCtr.cariPenyediaDistributor()}",
                cache : true,
                data : {
                    penyedia_id : ${pid}
                }
            },
            order : [ [ 0, "asc" ] ],
            columns : [ {
                "searchable" : false, "className": "header-center",
                render : function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
            }, {
                "searchable" : true
            }, {
                "searchable" : true, "className": "header-center"
            }, {
                "searchable" : true, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            }, {
                "searchable" : false, "className": "header-center"
            } ]
        });

    });
</script>
#{/set}
